## mx4j.monitor
Class MX4JMonitor.MonitorInfo

    java.lang.Object
      mx4j.monitor.MX4JMonitor.MonitorInfo

Direct Known Subclasses:
  MX4JCounterMonitor.CounterMonitorInfo, MX4JGaugeMonitor.GaugeMonitorInfo, MX4JStringMonitor.StringMonitorInfo

Enclosing class:
  MX4JMonitor

protected class MX4JMonitor.MonitorInfo
extends java.lang.Object

Constructor Summary
`protected` `MX4JMonitor.MonitorInfo()`

Method Summary
`void` `clearNotificationStatus()`
`boolean` `isErrorNotified()`
`void` `setErrorNotified(boolean errorNotified)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MX4JMonitor.MonitorInfo

    protected MX4JMonitor.MonitorInfo()

Method Detail

### isErrorNotified

    public boolean isErrorNotified()

### setErrorNotified

    public void setErrorNotified(boolean errorNotified)

### toString

    public java.lang.String toString()

### clearNotificationStatus

    public void clearNotificationStatus()

Copyright © 2001-2005 The MX4J Contributors. All Rights Reserved.